# ConFemBasics -- 2022-09-27
# Copyright (C) [2014] [Ulrich Haeussler-Combe]
# This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (GNU GPLv3) as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
# You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses
#
def DefData():
    nEig, niterEig, ElPlotTimes = None, None, []
    Plot = True #True 
    StressStrainOut = []                                                    # stress strain output for selected elements labels with ip -- in a list [el,ip]
    Restart = False
    VTK = False
    
    # DataExamples E03
    Name="../DataExamples/E03/E3-01"                                        # 94s, ok                     
    Name="../DataExamples/E03/E3-02C2"                                      # C1, C2, C3                    
#    Name="../DataExamples/E03/E3-04"                                        # 6s, ok
    # E04 beams
#    Name="../DataExamples/E04/E3-02"
#    Name="../DataExamples/E04/E4-02"                                        #       31 s, ok
#    Name="../DataExamples/E04/E4-08"                                        # -03, -04, -06, -08, -09 ok
#    Name="../DataExamples/E04/E3-02_CircMises"                              # 2_CircMises"
    # E05 strut-and-tie
#    Name="../DataExamples/E05/E5-01plate"                                   # ok
#    Name="../DataExamples/E05/E5-02"                                        # ok
#    Name="../DataExamples/E05/E5-03"                                        # ok
    # E06 Multiaxial concrete
#    Name="../DataExamples/E06/E6-02"                                        # ok 
    # E07 crack modeling and regularization
#    Name, Plot ="../DataExamples/E07/E7-02a", False
#    Name, Plot ="../DataExamples/E07/E7-05", False                           # 1D phase field
#    Name, StressStrainOut ="../DataExamples/E07-06/TensionEccTri2D", [] #[[1,0]]
#    Name, Plot ="../DataExamples/E07-06/E7-06a", False                      # SDA
    # E08
#    Name, Plot ="../DataExamples/E08/E8-01", True                           # deep beam elastic 
#    Name, Plot = "../DataExamples/E08-02/E8-02", False                     # deep beam nonlinear
#    Name, Plot = "../DataExamples/E08/E8-03", True                         # single fiber                                      
#    Name, Plot = "../DataExamples/E08/E8-04", True                         # plate with reinforcement        661 s for B23I   693 for B23E
    # E09                             
#    Name, Plot ="../DataExamples/E09/E9-01", True                           #                   
#    Name, Plot ="../DataExamples/E09/E9-05", True
    # E10
#    Name, Plot ="../DataExamples/E10/E10-01c", True  
#    Name, Plot ="../DataExamples/E10-02/E10-02", False

    return Name, Plot, Restart, "elemout", [ nEig, niterEig ], ElPlotTimes, StressStrainOut, VTK
